cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_credit_note_applications/PCNA-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = (
client.purchase_credit_note_applications.get_purchase_credit_note_application(
"PCNA-0001"
)
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseCreditNoteApplications.getPurchaseCreditNoteApplication('PCNA-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseCreditNoteApplications->getPurchaseCreditNoteApplication('PCNA-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_credit_note_applications.purchase_credit_note_applications_dto.PurchaseCreditNoteApplicationsDto.PurchaseCreditNoteApplicationRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseCreditNoteApplicationRead> response = client.purchaseCreditNoteApplications().getPurchaseCreditNoteApplication(
"PCNA-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseCreditNoteApplications.GetPurchaseCreditNoteApplicationAsync("PCNA-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseCreditNoteApplications
.getPurchaseCreditNoteApplication('PCNA-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseCreditNoteApplications().GetPurchaseCreditNoteApplication(context.Background(), "PCNA-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_credit_note_application": {
"amount": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"purchase_credit_note": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"purchase_payment": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"remaining_balance": "<string>",
"status": "<string>",
"version": 123
}
}Purchase credit note applications
Retrieve a purchase credit note application
Returns one purchase credit note application under purchase_credit_note_application.
GET
/
purchase_credit_note_applications
/
{purchase_credit_note_application_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_credit_note_applications/PCNA-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = (
client.purchase_credit_note_applications.get_purchase_credit_note_application(
"PCNA-0001"
)
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseCreditNoteApplications.getPurchaseCreditNoteApplication('PCNA-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseCreditNoteApplications->getPurchaseCreditNoteApplication('PCNA-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_credit_note_applications.purchase_credit_note_applications_dto.PurchaseCreditNoteApplicationsDto.PurchaseCreditNoteApplicationRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseCreditNoteApplicationRead> response = client.purchaseCreditNoteApplications().getPurchaseCreditNoteApplication(
"PCNA-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseCreditNoteApplications.GetPurchaseCreditNoteApplicationAsync("PCNA-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseCreditNoteApplications
.getPurchaseCreditNoteApplication('PCNA-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseCreditNoteApplications().GetPurchaseCreditNoteApplication(context.Background(), "PCNA-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_credit_note_application": {
"amount": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"purchase_credit_note": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"purchase_payment": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"remaining_balance": "<string>",
"status": "<string>",
"version": 123
}
}Returns the application with its credit note, payment, amount and remaining balance under
purchase_credit_note_application.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The application's id.
Response
200 - application/json
The application, under purchase_credit_note_application.
Show child attributes
Show child attributes